Summary:	Advanced Linux Sound Architecture (ALSA) wrapper for OSS
Name:		alsa-oss
Version:	1.0.11
Release:	1%{?dist}
License:	GPL
Group:		Applications/Multimedia
URL:		http://www.alsa-project.org/
Source:		ftp://ftp.alsa-project.org/pub/oss-lib/alsa-oss-%{version}.tar.bz2
Patch:		%{name}-%{version}-aoss.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	alsa-lib-devel >= %{version}
%ifarch x86_64
BuildRequires:	automake, libtool
%endif

%description
This package contains the compatibility library and wrapper script for
running legacy OSS applications through ALSA. Unlike the kernel
driver, this has the advantage of supporting DMIX software mixing.

%package devel
Summary:	Headers for ALSA wrapper for OSS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%description devel
Header files for alsa-oss.

%prep
%setup -q
%patch0

%build
%ifarch x86_64
autoreconf -f -i
%endif
%configure \
%ifarch x86_64
	--disable-rpath \
%endif
	--disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/aoss
%{_libdir}/*.so.*
%{_mandir}/man?/*

%files devel
%defattr(-,root,root,-)
%doc oss-redir/README
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so


%changelog
* Tue Oct 10 2006 Patrick "Jima" Laughton <jima@beer.tclug.org> 1.0.11-1
- Initial FC-5 SRPM, backported from devel (to kinda-sorta match alsa-lib)

* Fri Oct 06 2006 Patrick "Jima" Laughton <jima@beer.tclug.org> 1.0.12-3
- Added conditionalized rpath fixes for x86_64 (thanks Denis!)
- Re-added *.a to -devel package
- Added %%defattr for -devel, added oss-redir/README as %%doc

* Thu Oct 05 2006 Patrick "Jima" Laughton <jima@beer.tclug.org> 1.0.12-2
- Adding --disable-static to configure
- Removing *.a from -devel package
- Adding name and version to patch
- Removing commented-out autoreconf line
- Forcibly deleting *.a files in %%install (why didn't it believe me?)

* Tue Oct 03 2006 Patrick "Jima" Laughton <jima@beer.tclug.org> 1.0.12-1
- Hijacked from stalled review (BZ#187706)
- Bumped to 1.0.12 for devel branch
- Removed Req for /sbin/ldconfig (unnecessary when using -p in scriptlets)
- Added dist tag!
- Made macros slightly more consistent
- Deleted .la files in %%install

* Sun Apr  2 2006 Michel Salim <michel.salim@gmail.com> 1.0.11-1.rc3
- Initial build.
